VREDeploymentServiceAsync (VRE Manager Portlet 3.0.0-SNAPSHOT API)
Date: 2013-10-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.vredeployment.client
Interface VREDeploymentServiceAsync

    public interface VREDeploymentServiceAsync

The async counterpart of `VREDeploymentService`.

Method Summary
`void` | `doApprove(String epr, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
`void` | `doEdit(String epr, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
`void` | `doRemove(String epr, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
`void` | `doViewDetails(String epr, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `doViewReport(String epr, com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)`
`void` | `getHTMLReport(String epr, com.google.gwt.user.client.rpc.AsyncCallback<String> callback)`
`void` | `getVREDefinitions(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<VREDefinitionBean>> callback)`

Method Detail

### getVREDefinitions

    void getVREDefinitions(com.google.gwt.user.client.rpc.AsyncCallback<ArrayList<VREDefinitionBean>> callback)

### doApprove

    void doApprove(String epr,
                   com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

### doRemove

    void doRemove(String epr,
                  com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

### doEdit

    void doEdit(String epr,
                com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

### doViewDetails

    void doViewDetails(String epr,
                       com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

### doViewReport

    void doViewReport(String epr,
                      com.google.gwt.user.client.rpc.AsyncCallback<Boolean> callback)

### getHTMLReport

    void getHTMLReport(String epr,
                       com.google.gwt.user.client.rpc.AsyncCallback<String> callback)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.